API CodexAPI Codex
WebsiteDashboardGet API Key
  • Documentation
  • All APIs
  • Changelog
Resources
  • Docs Home
  • API Catalog
  • API Codex Website
Platform
  • Get a free API key
  • Dashboard
  • APIs & Pricing

© 2026 API Codex. All rights reserved.

Information
Other endpoints
    Parse Email from FilepostParse Email from Textpost
Schemas
powered by Zudoku
Email Parser API
Email Parser API

Other endpoints


Parse Email from File

POST
https://api.apicodex.io/parser
/v1/email/upload

Parse an email from an uploaded .eml file

Parse Email from File › Request Body

file
​string · required

Email file in .eml format

Parse Email from File › Responses

Successfully parsed email

ParsedEmail
subject
​string

Email subject

Example: Test Email
​EmailAddress[]
​EmailAddress[]
​EmailAddress[]
​EmailAddress[]
date
​string · date-time

Email date in ISO format

Example: 2025-06-10T08:47:41.000Z
message_id
​string | null

Email Message-ID header

Example: <example123@mail.gmail.com>
in_reply_to
​string | null

In-Reply-To header

references
​string | null

References header

priority
​string | null

Email priority

​Attachment[]
html
​string | null

HTML body of the email

text
​string | null

Plain text body of the email

​object

Raw email headers

POST/v1/email/upload
curl 'https://api.apicodex.io/parser/v1/email/upload?apikey=<api-key>' \ --request POST \ --header 'Content-Type: multipart/form-data' \ --form 'file=file'
Example Request Body
{ "file": "file" }
text
Example Responses
{ "subject": "Test Email", "from": [ { "name": "John Doe", "address": "john@example.com" } ], "to": [ { "name": "John Doe", "address": "john@example.com" } ], "cc": [ { "name": "John Doe", "address": "john@example.com" } ], "bcc": [ { "name": "John Doe", "address": "john@example.com" } ], "date": "2025-06-10T08:47:41.000Z", "message_id": "<example123@mail.gmail.com>", "in_reply_to": "in_reply_to", "references": "references", "priority": "priority", "attachments": [ { "filename": "document.pdf", "contentType": "application/pdf", "content": "content", "size": 1024 } ], "html": "html", "text": "text", "headers": {} }
json
application/json

Parse Email from Text

POST
https://api.apicodex.io/parser
/v1/email/text

Parse an email from raw text content

Parse Email from Text › Request Body

EmailTextRequest
email
​string · required

Raw email content in text format

Example: From: sender@example.com To: recipient@example.com Subject: Test Email content

Parse Email from Text › Responses

Successfully parsed email

ParsedEmail
subject
​string

Email subject

Example: Test Email
​EmailAddress[]
​EmailAddress[]
​EmailAddress[]
​EmailAddress[]
date
​string · date-time

Email date in ISO format

Example: 2025-06-10T08:47:41.000Z
message_id
​string | null

Email Message-ID header

Example: <example123@mail.gmail.com>
in_reply_to
​string | null

In-Reply-To header

references
​string | null

References header

priority
​string | null

Email priority

​Attachment[]
html
​string | null

HTML body of the email

text
​string | null

Plain text body of the email

​object

Raw email headers

POST/v1/email/text
curl 'https://api.apicodex.io/parser/v1/email/text?apikey=<api-key>' \ --request POST \ --header 'Content-Type: text/plain' \ --data '{ "email": "From: sender@example.com\nTo: recipient@example.com\nSubject: Test\n\nEmail content" }'
Example Request Body
{ "email": "From: sender@example.com\nTo: recipient@example.com\nSubject: Test\n\nEmail content" }
text
Example Responses
{ "subject": "Test Email", "from": [ { "name": "John Doe", "address": "john@example.com" } ], "to": [ { "name": "John Doe", "address": "john@example.com" } ], "cc": [ { "name": "John Doe", "address": "john@example.com" } ], "bcc": [ { "name": "John Doe", "address": "john@example.com" } ], "date": "2025-06-10T08:47:41.000Z", "message_id": "<example123@mail.gmail.com>", "in_reply_to": "in_reply_to", "references": "references", "priority": "priority", "attachments": [ { "filename": "document.pdf", "contentType": "application/pdf", "content": "content", "size": 1024 } ], "html": "html", "text": "text", "headers": {} }
json
application/json